]> andersk Git - moira.git/blame - gen/print.sh
Command line printer manipulation client, and build goo.
[moira.git] / gen / print.sh
CommitLineData
bc275f50 1#! /bin/sh
2# $Id$
3
f4f32185 4if [ -d /var/athena ] && [ -w /var/athena ]; then
5 exec >/var/athena/moira_update.log 2>&1
6else
7 exec >/tmp/moira_update.log 2>&1
8fi
9
bc275f50 10# The following exit codes are defined and MUST BE CONSISTENT with the
11# error codes the library uses:
12MR_MISSINGFILE=47836473
13MR_MKCRED=47836474
14MR_TARERR=47836476
15
5bef82c1 16PATH=/bin
bc275f50 17TARFILE=/var/tmp/print.out
18PCLOCAL=/etc/printcap.local
19PCGEN=/etc/printcap.moira
20PRINTCAP=/etc/printcap
21
22# Alert if the tar file or other needed files do not exist
23test -r $TARFILE || exit $MR_MISSINGFILE
24test -r $PCLOCAL || exit $MR_MISSINGFILE
25
26# Unpack the tar file, getting only files that are newer than the
27# on-disk copies (-u).
28cd /
720fc638 29tar xf $TARFILE || exit $MR_TARERR
bc275f50 30
720fc638 31# Build full printcap and spools
bc275f50 32cat $PCLOCAL $PCGEN > $PRINTCAP
720fc638 33/usr/athena/etc/checkpc -f
3172574c 34if [ $? != 0 ]; then
35 exit $MR_MKCRED
36fi
720fc638 37/usr/athena/etc/lpc reread
3172574c 38if [ $? != 0 ]; then
39 exit $MR_MKCRED
40fi
bc275f50 41
42# cleanup
43test -f $TARFILE && rm -f $TARFILE
44test -f $0 && rm -f $0
45
46exit 0
47
This page took 0.10129 seconds and 5 git commands to generate.